Hi, I wanted to start play the game about 1 year ago, but there was only blue screen, I tried few things, but nothing work. Today I decide to try it again, but only blue screen again. Both time I had newest version of flash plugin. Is there any problem because of I am using Linux Mint? Do I need some another plugin or something because of it?